Sidef::Object::Lazy(3)

NAME
Sidef::Object::Lazy

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Lazy(...)

METHODS

  each
    Lazy.each()

Returns the

  first
    Lazy.first()

Returns the

  first_by
    Lazy.first_by()

Returns the

  grep
    Lazy.grep()

Returns the

Aliases: select

  iter
    Lazy.iter()

Returns the

  lazy
    Lazy.lazy()

Returns the

  map
    Lazy.map()

Returns the

Aliases: collect

  new
    Lazy.new()

Returns the

  nth
    Lazy.nth()

Returns the

  to_a
    Lazy.to_a()

Returns the

  while
    Lazy.while()

Returns the